Subject: bug#47172: GNU Shepherd 0.8.1 fails on core-updates

From: Léo Le Bouter <[email-masked]>
Date: Wed, 24 Mar 2021 14:25:46 +0100

It seems this is due to guile 3.0.5, GNU Shepherd 0.8.1 does not work
with it, it works with guile 3.0.2 however.

Thanks to Efraim on IRC for hints.

It would be great if people knowledgeable with Scheme, GNU Shepherd and
Guile could fix it, it blocks GNOME upgrade work on top of core-
updates.